Get a sequence's booking page
curl --request GET \
--url https://api.cal.com/v2/event-type-sequences/{uid}import requests
url = "https://api.cal.com/v2/event-type-sequences/{uid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cal.com/v2/event-type-sequences/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/event-type-sequences/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/event-type-sequences/{uid}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cal.com/v2/event-type-sequences/{uid}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/event-type-sequences/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "Engineering interview loop",
"description": "<string>",
"totalLengthMinutes": 135,
"segments": [
{
"position": 0,
"title": "Technical interview",
"lengthMinutes": 45,
"schedulingType": "collective",
"fixedHosts": [
{
"name": "Dana Smith",
"avatarUrl": "<string>"
}
]
}
],
"bookingFields": [
{
"field": "name",
"slug": "name",
"variant": "fullName",
"disableOnPrefill": true,
"label": "<string>",
"placeholder": "<string>"
}
]
}
}Event Type Sequences
Get a sequence's booking page
What a booker sees before booking the sequence: its segments in order, who each collective segment is with, and the questions asked once for the whole sequence. No authentication is required. A sequence that can’t be booked right now is not found.
GET
/
v2
/
event-type-sequences
/
{uid}
Get a sequence's booking page
curl --request GET \
--url https://api.cal.com/v2/event-type-sequences/{uid}import requests
url = "https://api.cal.com/v2/event-type-sequences/{uid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cal.com/v2/event-type-sequences/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/event-type-sequences/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/event-type-sequences/{uid}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cal.com/v2/event-type-sequences/{uid}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/event-type-sequences/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "Engineering interview loop",
"description": "<string>",
"totalLengthMinutes": 135,
"segments": [
{
"position": 0,
"title": "Technical interview",
"lengthMinutes": 45,
"schedulingType": "collective",
"fixedHosts": [
{
"name": "Dana Smith",
"avatarUrl": "<string>"
}
]
}
],
"bookingFields": [
{
"field": "name",
"slug": "name",
"variant": "fullName",
"disableOnPrefill": true,
"label": "<string>",
"placeholder": "<string>"
}
]
}
}Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Path Parameters
The sequence's uid.
Was this page helpful?